%define major 1

Summary: Panel-- - A GTK-- wrapper for applet_widget
Name: panelmm
Version: 0.3.1
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}-%{version}.tar.bz2
License: GPL/LGPL
Group: Graphical desktop/GNOME
Url: http://cactus.rulez.org/projects/panelmm/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gnomemm-devel libpanel_applet-devel

%description

Panel-- - A GTK-- wrapper for applet_widget

This is a wrapper for the applet_widget component of GNOME for use
with the GTK-- wrapper for GTK, the Gimp Toolkit and libgnomeui, the
GNOME UI library.  The wrapper is distributed under the GNU LGPL and
its demo is distibuted under the GNU GPL.

%package -n lib%{name}%{major}
Summary: 	Panel-- - A GTK-- wrapper for applet_widget
Group: 		Graphical desktop/GNOME
Provides:	%{name} = %{version}

%description -n lib%{name}%{major}
Panel-- - A GTK-- wrapper for applet_widget

This is a wrapper for the applet_widget component of GNOME for use
with the GTK-- wrapper for GTK, the Gimp Toolkit and libgnomeui, the
GNOME UI library.  The wrapper is distributed under the GNU LGPL and
its demo is distibuted under the GNU GPL.



%package -n lib%{name}%{major}-devel
Summary: 	Includes and other files to use panelmm wrapper
Group: 		Development/C++
Requires: 	lib%{name}%{major} = %{version}
Provides: 	lib%{name}-devel = %{version} 
Provides:	%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
Libraries, include files and other resources you can use to develop audiofile
applications.


%prep
%setup -q

#needed by latest gcc
autoconf

%build

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{major} -p /sbin/ldconfig
%postun -n lib%{name}%{major} -p /sbin/ldconfig

%files -n lib%{name}%{major}
%defattr(-,root,root)
%doc COPYING COPYING.LIB README NEWS ChangeLog INSTALL AUTHORS
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_includedir}/*

%changelog
* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Fri Mar  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package


# end of file
